## javax.transaction
Interface TransactionSynchronizationRegistry

    public interface TransactionSynchronizationRegistry

Version:
  $Rev: 467742 $ $Date: 2006-10-25 21:30:38 +0200 (Wed, 25 Oct 2006) $

Method Summary
`Object` `getResource(Object key)`
`boolean` `getRollbackOnly()`
`Object` `getTransactionKey()`
`int` `getTransactionStatus()`
`void` `putResource(Object key, Object value)`
`void` `registerInterposedSynchronization(Synchronization sync)`
`void` `setRollbackOnly()`

Method Detail

### getResource

    Object getResource(Object key)

### getRollbackOnly

    boolean getRollbackOnly()

### getTransactionKey

    Object getTransactionKey()

### getTransactionStatus

    int getTransactionStatus()

### putResource

    void putResource(Object key,
                     Object value)

### registerInterposedSynchronization

    void registerInterposedSynchronization(Synchronization sync)

### setRollbackOnly

    void setRollbackOnly()

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.